Name:           nodejs-mapnik-reference
Version:        8.4.0
Release:        1%{?dist}
Summary:        Reference for Mapnik Styling Options

License:        Public Domain
URL:            https://github.com/mapnik/mapnik-reference
Source0:        http://registry.npmjs.org/mapnik-reference/-/mapnik-reference-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(glob)

%description
Provides a parseable spec of what Mapnik can do - what main structures
it supports (like layers, styles, and symbolizers) and the properties
they can contain. It's useful for building parsers, tests, compilers, and
syntax highlighting/checking for languages


%prep
%setup -q -n package


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/mapnik-reference
cp -pr package.json index.js %{buildroot}/%{nodejs_sitelib}/mapnik-reference
mkdir -p %{buildroot}/%{_datadir}/%{name}
for dir in 2.* 3.*
do
  cp -pr ${dir} %{buildroot}/%{_datadir}/%{name}
  ln -sf %{_datadir}/%{name}/${dir} %{buildroot}/%{nodejs_sitelib}/mapnik-reference
done
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha -R spec --timeout 50000


%files
%doc README.md CHANGELOG.md
%license LICENSE.md 
%{nodejs_sitelib}/mapnik-reference
%{_datadir}/%{name}


%changelog
* Wed Sep 23 2015 Tom Hughes <tom@compton.nu> - 8.4.0-1
- Update to 8.4.0 upstream release

* Sat Sep 12 2015 Tom Hughes <tom@compton.nu> - 8.3.0-1
- Update to 8.3.0 upstream release

* Sat Aug 15 2015 Tom Hughes <tom@compton.nu> - 8.2.0-1
- Update to 8.2.0 upstream release

* Sat Jun 27 2015 Tom Hughes <tom@compton.nu> - 8.1.0-1
- Update to 8.1.0 upstream release

* Thu Jun 25 2015 Tom Hughes <tom@compton.nu> - 8.0.1-1
- Update to 8.0.1 upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 13 2015 Tom Hughes <tom@compton.nu> - 8.0.0-1
- Update to 8.0.0 upstream release
- Switch to %%license for the license file

* Fri Feb 20 2015 Tom Hughes <tom@compton.nu> - 7.0.1-1
- Update to 7.0.1 upstream release

* Mon Jan 19 2015 Tom Hughes <tom@compton.nu> - 7.0.0-1
- Update to 7.0.0 upstream release

* Wed Dec 17 2014 Tom Hughes <tom@compton.nu> - 6.0.5-1
- Update to 6.0.5 upstream release

* Thu Nov 20 2014 Tom Hughes <tom@compton.nu> - 6.0.4-1
- Update to 6.0.4 upstream release

* Wed Oct  1 2014 Tom Hughes <tom@compton.nu> - 6.0.3-1
- Update to 6.0.3 upstream release

* Sat Sep 27 2014 Tom Hughes <tom@compton.nu> - 6.0.2-1
- Update to 6.0.2 upstream release

* Fri Sep 26 2014 Tom Hughes <tom@compton.nu> - 6.0.1-1
- Update to 6.0.1 upstream release

* Wed Sep 24 2014 Tom Hughes <tom@compton.nu> - 5.1.1-1
- Update to 5.1.1 upstream release

* Fri Sep  5 2014 Tom Hughes <tom@compton.nu> - 5.1.0-1
- Update to 5.1.0 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 27 2014 Tom Hughes <tom@compton.nu> - 5.0.9-1
- Update to 5.0.9 upstream release

* Mon Apr 14 2014 Tom Hughes <tom@compton.nu> - 5.0.8-1
- Update to 5.0.8 upstream release

* Wed Oct 30 2013 Tom Hughes <tom@compton.nu> - 5.0.7-1
- Update to 5.0.7 upstream release

* Fri Sep 27 2013 Tom Hughes <tom@compton.nu> - 5.0.6-1
- Update to 5.0.6 upstream release

* Fri Sep 20 2013 Tom Hughes <tom@compton.nu> - 5.0.5-1
- Update to 5.0.5 upstream release
- Update to latest nodejs packaging standards

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar  2 2013 Tom Hughes <tom@compton.nu> - 5.0.4-2
- Use %%{__python} instead of %%{__python2}
- Run tests against an unpatched copy of the package
- Removed hyphen from parseable in description

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 5.0.4-1
- Initial build of 5.0.4
